import { CommandType } from '../constants';

export const colabCommandMatcher = (
  type: CommandType,
  line: string
): RegExpExecArray | null | undefined => {
  if (type === CommandType.Title) {
    return /#\s*@title/.exec(line);
  } else if (type === CommandType.Param) {
    return /#\s*@param/.exec(line);
  } else if (type === CommandType.Markdown) {
    return /#\s*@markdown/.exec(line);
  }
};
