import { LocaleTextName } from '../constants';

const fieldNameMap = {
  name: 'variable name'
};

export const localeText = {
  text: {
    [LocaleTextName.NUMBER_ERROR_MESSAGE]: 'illegal number format',
    [LocaleTextName.SLIDER_ERROR_MESSAGE]:
      'value must be a number and with in the [min, max] range',
    [LocaleTextName.INTEGER_ERROR_MESSAGE]: 'illegal integer',
    [LocaleTextName.SHOW_CODE_BTN_TEXT]: 'Show code'
  },
  fn: {
    [LocaleTextName.ASSERT_ERROR_MESSAGE_FN]: (field: string): string =>
      `could not find[${
        fieldNameMap[field as keyof typeof fieldNameMap] || field
      }], please check the code`,
    [LocaleTextName.CELL_BUILD_ERROR_MESSAGE_FN]: (line: string): string =>
      'parse error,' + line + ' is not the correct command format'
  }
};
