import { LocaleTextName } from '../constants';

const fieldNameMap = {
  name: '变量名'
};

export const localeText = {
  text: {
    [LocaleTextName.NUMBER_ERROR_MESSAGE]: '不是合法的数字格式',
    [LocaleTextName.SLIDER_ERROR_MESSAGE]:
      '值必须是数字，并且在[min, max]范围内',
    [LocaleTextName.INTEGER_ERROR_MESSAGE]: '不是合法的整数',
    [LocaleTextName.SHOW_CODE_BTN_TEXT]: '显示代码'
  },
  fn: {
    [LocaleTextName.ASSERT_ERROR_MESSAGE_FN]: (field: string): string =>
      `无法找到[${
        fieldNameMap[field as keyof typeof fieldNameMap] || field
      }]，请检查代码格式`,
    [LocaleTextName.CELL_BUILD_ERROR_MESSAGE_FN]: (line: string): string =>
      '解析出错，' + line + ' 不是正确的命令格式'
  }
};
