// colab is not using the real JSON string format
// for example, the property names are not wrapped in double quotations
// so we have to convert it first before parsing
export const strToJSON = (str: string): string =>
  str.replace(/(\w+:)|(\w+ :)/g, s => {
    return '"' + s.substring(0, s.length - 1) + '":';
  });
